<!--section-->
<section>
    <div class="container">
        <div class="row">
            <%#= form_for 'job_search', url: search_jobs_path, remote: true do |f| %>
                <!--left-section-->
                <h1 class="jobs_search_big_title"> Search Result </h1>
                <div class="col-md-3">
                    <!-- <div class="filter-sec" style="min-height: inherit;"> -->
                        <div class="filter-sec jobs bg_none">
                            <div class="col-sm-12">
                                <% logger.info "=======comp===========#{params[:company_name]}======#{params[:job_search][:company_name]}=========#{params[:job_search][:company_name] || params[:company_name]}" %>
                                <h1 class="title">Filter <a class="expand collaps" id="mexpand" href="javascript:void(0)"></a></h1>
                                <input type='hidden' id='job_region' value="<%= params[:job_region] || params[:job_search][:job_region] %>" />
                                <input type='hidden' id='company_type' value="<%= params[:job] %>" />
                                <input type='hidden' id='country' value="<%= params[:job_search][:country] %>" />
                                <input type='hidden' id='city' value="<%= params[:job_search][:city] %>" />
                                <input type='hidden' id='company_name_search' value="<%= params[:job].eql?('all') ? params[:company_name] : params[:job_search][:company_name] %>" />
                                <input type='hidden' id='keyword' value="<%= params[:job_search][:search] %>" />
                                <input type='hidden' id='job_type' value="<%= params[:job_search][:job_type] %>" />
                                <input type='hidden' id='publish_date' value="<%= params[:job_search][:publish_date] %>" />
                                <input type='hidden' id='sort_by_val' value="<%= params[:sort] %>" />
                                <input type='hidden' id='page_number' value="<%= params[:page] || '1' %>" />
                                <div class="mobile-expand">
                                    <ul>
                                        <li class="filter_select">
                                            <!-- <select class="select2 " id="sort_by_select">
                                                <option name='sort_by' value='relevance'>Sort by relevance</option>
                                                <option name='sort_by' value='date'>Sort by date</option>
                                            </select> -->
                                            <%= select_tag 'sort_by', options_for_select([ ['Sort by relevance', 'relevance'], ['Sort by date', 'date'] ], 'relevance'), class: 'select2 sort_by_select job_search' %>
                                        </li>
                                    </ul>
                                    <ul>
                                        <li class="filter_select">
                                            <!-- <select class="select2 " id="job_type_select">
                                                <option name='job_type' value='all'>All</option>
                                                <option name='job_type' value='fulltime'>Full-time</option>
                                                <option name='job_type' value='parttime'>Part-time</option>
                                                <option name='job_type' value='internship'>Internship</option>
                                            </select> -->
                                            <%= select_tag 'job_type', options_for_select([ ['All', 'all'], ['Full-time', 'fulltime'], ['Part-time', 'parttime'], ['Internship', 'internship'] ], 'all'), class: 'select2 job_type_select job_search' %>
                                        </li>
                                    </ul>
                                    <ul>
                                        <li class="filter_select">
                                            <!-- <select class="select2 " id="publish_select">
                                                <option name='publish_date' value='any'>Anytime</option>
                                                <option name='publish_date' value='15'>Within 15 days</option>
                                                <option name='publish_date' value='7'>Within 7 days</option>
                                                <option name='publish_date' value='3'>Within 3 days</option>
                                                <option name='publish_date' value='1'>Since Yesterday</option>
                                                <option name='publish_date' value='last'>Since my last visit</option>
                                            </select> -->
                                            <%= select_tag 'publish_date', options_for_select([ ['Anytime', 'any'], ['Within 15 days', '15'], ['Within 7 days', '7'], ['Within 3 days', '3'], ['Since Yesterday', '1'], ['Since my last visit', 'last'] ], 'any'), class: 'select2 publish_select job_search' %>
                                        </li>
                                    </ul>
                                    <ul>
                                        <li>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="form-group">
                                                            <h1 class="title">Keyword Search</a></h1>
                                                            <input type="text" placeholder="Enter Job title, Keyword" class="form-control job_search"  id="job_search_keyword">
                                                            <%#= f.text_field :search, placeholder: 'Enter Job title, Keyword', class: 'form-control' %>

                                                            <div class="clearfix"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="form-group">
                                                        <h1 class="title">City</h1>
                                                        <input type="text" placeholder="Enter City" class="form-control job_search" id="job_search_city">
                                                        <%#= f.text_field :search, placeholder: 'Enter Job title, Keyword', class: 'form-control' %>

                                                        <div class="clearfix"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="form-group">
                                                        <!-- <label class="control-label">Searc</label -->
                                                        <!-- <input type="text" placeholder="Enter City" class="form-control"> -->
                                                        <button type="button" class="btn btn-submit apply_filter_jobs">Submit</button>
                                                        <%#= f.text_field :search, placeholder: 'Enter Job title, Keyword', class: 'form-control' %>

                                                        <div class="clearfix"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    <!-- </div> -->
                </div>
                <!--/left-section-->
                <!--middle-section-->
                <div class="col-md-6">
                    <%#= form_for 'job_search', url: search_jobs_path, remote: true do |f| %>

                    <%# end %>
                    <div class="article jobs jobs_list">
                        <%= render partial: 'jobs_list', '@jobs': @jobs, '@total': @total, type: params[:type] %>
                    </div>
                    <input type="hidden" value='relevance' id="sort_by_val"/>
                    <input type="hidden" value='all' id="job_type_filter"/>
                </div>
                <!-- <div class="col-md-6"> -->
                    <div class="col-md-3  fav_jobs jobs">
                        <%= render 'fav_jobs' %>
                    </div>
                <!-- </div> -->
                <!--/middle-section-->
            <%# end %>
            <!--right-section-->
            <%#= render partial: '/layouts/sidebar_right', locals: { '@favorite_companies': @favorite_companies, '@companies': @companies } %>
            <!--/right-section-->
        </div>
    </div>
<section>
<script>

    $(document).ready(function(){
        $('.sort_by_select').select2({placeholder: 'Select Type'});
        $('.job_type_select').select2({placeholder: 'Select Type'});
        $('.publish_select').select2({placeholder: 'Select Type'});
        <% if params[:country_name].present? %>
            // alert(1)
            // $('#job_region_International').trigger('click')
            $("input[type=radio][name=job_region][value=International]").prop('checked', true).change();
            var country = "<%= params[:country_name] %>"
            $("#job_search_country option:contains("+country+")").attr('selected', true)

        <% end %>
    })

    $('.sort_by_select').on('change', function(){
        console.log(2);
        var that = $(this);
        var region = $('#job_region').val()
        // var search = $('#job_search_keyword').val()
        var search = ''
        // var city = $('#job_search_city').val()
        var city = ''
        var company = $('#company_name_search').val()
        var sort = that.val()
        var publish_date = $('#publish_select').val()
        // var job_type = 'all'
        var job_type = $("#job_type_select").val()
        var country = $('#country').val()
        var page = parseInt($('#page_number').val())

        if($('#job_search_city').val() == ""){
            city = "<%= params[:job_search][:city] %>"
        }else{
            city = $('#job_search_city').val()
        }

        $('#job_type').val(job_type)
        $('#publish_date').val(publish_date)
        $('#city').val(city)
        $('#company').val(company)
        $('#sort_by_val').val(sort)
        $('#region').val(region)
        $('#country').val(country)
        console.log('========in filter=========');
        if(($('#job_search_keyword').val() != "") && ($('#keyword').val() != "")){
            console.log('========1=========');
            search = $('#job_search_keyword').val() + " " + $('#keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() != "") && ($('#keyword').val() == "")) {
            search = $('#job_search_keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() == "") && ($('#keyword').val() != "")) {
            search = $('#keyword').val()
            $('#keyword').val(search)
        }else{
            console.log('========2=========');
            search = ''
        }


        var data = { job_search: { search: search, page: '1', company_name: company, country: country, city: city, job_type: job_type, publish_date: publish_date }, sort: sort }
        // console.log(data);

        $.ajax({
            // url: '../jobs/search',
            url: '/jobs/search',
            dataType: 'script',
            method: 'post',
            data: data,
            // data: { 'job_search[search]': search, 'job_search[page]': 1, 'job_search[company_name]': company, 'job_search[country]': country, 'job_search[city]': city , 'sort': sort_val, 'job_search[job_type]': job_type, 'job_search[publish_date]': publish_date },
            // processData: false
        })
    })

    $('.job_type_select').on('change', function(){
        console.log(2);
        var that = $(this);
        var region = $('#job_region').val()
        // var search = $('#job_search_keyword').val()
        var search = ''
        // var city = $('#job_search_city').val()
        var city = ''
        var company = $('#company_name_search').val()
        var sort = $("#sort_by_select").val()
        var publish_date = $('#publish_select').val()
        // var job_type = 'all'
        var job_type = that.val()
        var country = $('#country').val()

        if($('#job_search_city').val() == ""){
            city = "<%= params[:job_search][:city] %>"
        }else{
            city = $('#job_search_city').val()
        }

        $('#job_type').val(job_type)
        $('#publish_date').val(publish_date)
        $('#city').val(city)
        $('#company').val(company)
        $('#sort_by_val').val(sort)
        $('#region').val(region)
        $('#country').val(country)
        console.log('========in filter=========');
        if(($('#job_search_keyword').val() != "") && ($('#keyword').val() != "")){
            console.log('========1=========');
            search = $('#job_search_keyword').val() + " " + $('#keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() != "") && ($('#keyword').val() == "")) {
            search = $('#job_search_keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() == "") && ($('#keyword').val() != "")) {
            search = $('#keyword').val()
            $('#keyword').val(search)
        }else{
            console.log('========2=========');
            search = ''
        }
        var data = { job_search: { search: search, page: '1', company_name: company, country: country, city: city, job_type: job_type, publish_date: publish_date }, sort: sort }
        // console.log(data);

        $.ajax({
            // url: '../jobs/search',
            url: '/jobs/search',
            dataType: 'script',
            method: 'post',
            data: data,
            // data: { 'job_search[search]': search, 'job_search[page]': 1, 'job_search[company_name]': company, 'job_search[country]': country, 'job_search[city]': city , 'sort': sort_val, 'job_search[job_type]': job_type, 'job_search[publish_date]': publish_date },
            // processData: false
        })
    })

    $('.publish_select').on('change', function(){
        console.log(2);
        var that = $(this);
        var region = $('#job_region').val()
        // var search = $('#job_search_keyword').val()
        var search = ''
        // var city = $('#job_search_city').val()
        var city = ''
        var company = $('#company_name_search').val()
        var sort = $("#sort_by_select").val()
        var publish_date = that.val()
        // var job_type = 'all'
        var job_type = $("#job_type_select").val()
        var country = $('#country').val()

        if($('#job_search_city').val() == ""){
            city = "<%= params[:job_search][:city] %>"
        }else{
            city = $('#job_search_city').val()
        }

        $('#job_type').val(job_type)
        $('#publish_date').val(publish_date)
        $('#city').val(city)
        $('#company').val(company)
        $('#sort_by_val').val(sort)
        $('#region').val(region)
        $('#country').val(country)
        console.log('========in filter=========');
        if(($('#job_search_keyword').val() != "") && ($('#keyword').val() != "")){
            console.log('========1=========');
            search = $('#job_search_keyword').val() + " " + $('#keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() != "") && ($('#keyword').val() == "")) {
            search = $('#job_search_keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() == "") && ($('#keyword').val() != "")) {
            search = $('#keyword').val()
            $('#keyword').val(search)
        }else{
            console.log('========2=========');
            search = ''
        }
        var data = { job_search: { search: search, page: '1', company_name: company, country: country, city: city, job_type: job_type, publish_date: publish_date }, sort: sort }
        // console.log(data);

        $.ajax({
            // url: '../jobs/search',
            url: '/jobs/search',
            dataType: 'script',
            method: 'post',
            data: data,
            // data: { 'job_search[search]': search, 'job_search[page]': 1, 'job_search[company_name]': company, 'job_search[country]': country, 'job_search[city]': city , 'sort': sort_val, 'job_search[job_type]': job_type, 'job_search[publish_date]': publish_date },
            // processData: false
        })
    })



    $('.apply_filter_jobs').on('click', function(e){
        // e.stopImmediatePropagation()
        // var that = $(this);
        // that.off('click');
        // var region = $('.job_region_value').val()
        var region = $('#job_region').val()
        // var search = $('#job_search_keyword').val()
        var search = ''
        // var city = $('#job_search_city').val()
        var city = ''
        var company = $('#company_name_search').val()
        var sort = $("#sort_by_select").val()
        var publish_date = $('#publish_select').val()
        // var job_type = 'all'
        var job_type = $("#job_type_select").val()
        var country = $('#country').val()

        if($('#job_search_city').val() == ""){
            city = "<%= params[:job_search][:city] %>"
        }else{
            city = $('#job_search_city').val()
        }

        $('#job_type').val(job_type)
        $('#publish_date').val(publish_date)
        $('#city').val(city)
        $('#company').val(company)
        $('#sort_by_val').val(sort)
        $('#region').val(region)
        $('#country').val(country)
        console.log('========in filter=========');
        if(($('#job_search_keyword').val() != "") && ($('#keyword').val() != "")){
            console.log('========1=========');
            search = $('#job_search_keyword').val() + " " + $('#keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() != "") && ($('#keyword').val() == "")) {
            search = $('#job_search_keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() == "") && ($('#keyword').val() != "")) {
            search = $('#keyword').val()
            $('#keyword').val(search)
        }else{
            console.log('========2=========');
            search = ''
        }


        // var sort = $('.sort_by_select').val()
        // $('#sort_by_val').attr('value', sort)
        // document.getElementById('sort_by_val').value = sort
        // if($('#job_search_company_name').val() != undefined){
        //     company = $('#job_search_company_name').val()
        // }else {
        //     company = $('#company_name').val()
        // }
        // console.log(company);

        // if(company != ''){
        //     if(search != ''){
        //         search = search + 'company:' + company
        //     }
        //     else{
        //         search = 'company:' + company
        //     }
        // }

        if(region == 'International'){
            // country = $('#job_search_country').val()
        }
        // if(!AjaxRunning){
            // AjaxRunning = true;
            $('.loader').show()
            $.ajax({
                // url: '../jobs/search',
                url: '/jobs/search',
                dataType: 'script',
                method: 'post',
                data: { 'job_search[search]': search, 'job_search[page]': 1, 'job_search[company_name]': company, 'job_search[country]': country, 'job_search[city]': city , 'sort': sort, 'job_search[job_type]': job_type, 'job_search[publish_date]': publish_date },
                success: function(response){
                    $('.loader').hide()
                    // e.stopImmediatePropagation();
                    // AjaxRunning=false;
                    // console.log(AjaxRunning);

                },
                failure: function(response){
                    $('.loader').hide()
                    // AjaxRunning=false;
                    // console.log(AjaxRunning);
                }
            }).always(function() {
                $('.loader').hide()
                // that.on('click') // add handler back after ajax
            });
    })
    $('.load_jobs').on('click', function(e){
        console.log('========load=========');
        e.preventDefault();
        var that = $(this);
        that.off('click');
        var region = $('#job_region').val()
        // var search = $('#job_search_keyword').val()
        var search = ''
        // var city = $('#job_search_city').val()
        var city = ''
        var company = $('#company_name_search').val()
        var sort = $("#sort_by_select").val()
        var publish_date = $('#publish_select').val()
        // var job_type = 'all'
        var job_type = $("#job_type_select").val()
        var country = $('#country').val()
        var page = parseInt($('#page_number').val())

        if($('#job_search_city').val() == ""){
            city = "<%= params[:job_search][:city] %>"
        }else{
            city = $('#job_search_city').val()
        }

        $('#job_type').val(job_type)
        $('#publish_date').val(publish_date)
        $('#city').val(city)
        $('#company').val(company)
        $('#sort_by_val').val(sort)
        $('#region').val(region)
        $('#country').val(country)
        console.log('========in filter=========');
        if(($('#job_search_keyword').val() != "") && ($('#keyword').val() != "")){
            console.log('========1=========');
            search = $('#job_search_keyword').val() + " " + $('#keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() != "") && ($('#keyword').val() == "")) {
            search = $('#job_search_keyword').val()
            $('#keyword').val(search)
        }else if (($('#job_search_keyword').val() == "") && ($('#keyword').val() != "")) {
            search = $('#keyword').val()
            $('#keyword').val(search)
        }else{
            console.log('========2=========');
            search = ''
        }
        // if($('#job_search_company_name').val() != undefined){
        //     company = $('#job_search_company_name').val()
        // }else {
        //     company = $('#company_name').val()
        // }
        // console.log(company);
        //
        // if(company != ''){
        //     if(search != ''){
        //         search = search + 'company:' + company
        //     }
        //     else{
        //         search = 'company:' + company
        //     }
        // }
        //
        // if($("input[type=radio][name=job_region]").val() == 'International'){
        //     country = $('#job_search_country').val()
        // }
        console.log(search);
        $('.loader').show()
        $.ajax({
            // url: '../jobs/search',
            url: '/jobs/search',
            dataType: 'script',
            method: 'post',
            data: { 'job_search[job_region]': region, 'job_search[search]': search, 'job_search[job_type]': job_type, 'job_search[publish_date]': publish_date, 'job_search[city]': city, 'job_search[page]': page + 1, 'job_search[country]': country, 'job_search[company_name]': company, 'sort': sort },
            success: function(response){
                // $('.loader').hide()
                // e.stopImmediatePropagation();
            },
            failure: function(response){
                // $('.loader').hide()
            }
        }).always(function() {
            // $('.loader').hide()
            that.on('click') // add handler back after ajax
        });
        // $('.loader').hide()
    })

    $('.job_search').on('change', function(){
        $('.apply_filter_jobs').addClass('btn-theme')
        // $('.search_companies .btn-submit').css('height', '38px')
        $('.apply_filter_jobs').removeClass('btn-submit')
    })

</script>
